"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnhancedTableToolbar = void 0;
var react_1 = __importStar(require("react"));
var prop_types_1 = __importDefault(require("prop-types"));
var styles_1 = require("material-ui/styles");
var Toolbar_1 = __importDefault(require("material-ui/Toolbar"));
var Typography_1 = __importDefault(require("material-ui/Typography"));
var IconButton_1 = __importDefault(require("material-ui/IconButton"));
var Tooltip_1 = __importDefault(require("material-ui/Tooltip"));
var AddCircleOutline_1 = __importDefault(require("material-ui-icons/AddCircleOutline"));
var colorManipulator_1 = require("material-ui/styles/colorManipulator");
var Grid_1 = __importDefault(require("material-ui/Grid"));
var ChoseColumns_1 = __importDefault(require("./ChoseColumns"));
__exportStar(require("./interfaces"), exports);
var toolbarStyles = function (theme) { return ({
    root: {
        paddingRight: theme.spacing.unit,
        alignItems: 'flex-end',
    },
    highlight: theme.palette.type === 'light'
        ? {
            color: theme.palette.secondary.dark,
            backgroundColor: colorManipulator_1.lighten(theme.palette.secondary.light, 0.4),
        }
        : {
            color: colorManipulator_1.lighten(theme.palette.secondary.light, 0.4),
            backgroundColor: theme.palette.secondary.dark,
        },
    spacer: {
        flex: '1 1 100%',
    },
    actions: {
        color: theme.palette.text.secondary,
        display: 'flex',
    },
    title: {
        flex: '0 0 auto',
    },
}); };
var EnhancedTableToolbar = /** @class */ (function (_super) {
    __extends(EnhancedTableToolbar, _super);
    function EnhancedTableToolbar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    EnhancedTableToolbar.prototype.render = function () {
        var _a = this.props, 
        // numSelected,
        classes = _a.classes, title = _a.title, addObject = _a.addObject, filters = _a.filters, columnData = _a.columnData, toggleColumnVisibility = _a.toggleColumnVisibility;
        var columns = [];
        if (title) {
            columns.push(react_1.default.createElement(Grid_1.default, { key: "title", item: true },
                react_1.default.createElement(Typography_1.default, { variant: "title" }, title)));
        }
        if (filters) {
            columns.push(react_1.default.createElement(Grid_1.default, { key: "filters", item: true, xs: true }, filters));
        }
        else {
            columns.push(react_1.default.createElement(Grid_1.default, { key: "separator", item: true, xs: true }, null));
        }
        if (columnData && columnData.length) {
            columns.push(react_1.default.createElement(Grid_1.default, { key: "ChoseColumns", item: true },
                react_1.default.createElement(ChoseColumns_1.default, { columnData: columnData, toggleColumnVisibility: toggleColumnVisibility })));
        }
        if (addObject) {
            // if (global.document.createRange) {
            /**
             * https://github.com/jsdom/jsdom/issues/317
             */
            columns.push(react_1.default.createElement(Grid_1.default, { key: "add", item: true },
                react_1.default.createElement(Tooltip_1.default, { title: "\u0414\u043E\u0431\u0430\u0432\u0438\u0442\u044C" },
                    react_1.default.createElement(IconButton_1.default, { "aria-label": "AddPlace", onClick: addObject },
                        react_1.default.createElement(AddCircleOutline_1.default, null)))));
            // }
        }
        return (react_1.default.createElement(Toolbar_1.default, { className: classes === null || classes === void 0 ? void 0 : classes.root },
            react_1.default.createElement(Grid_1.default, { container: true, alignItems: "center" }, columns)));
    };
    EnhancedTableToolbar.propTypes = {
        classes: prop_types_1.default.object.isRequired,
        // numSelected: PropTypes.number.isRequired,
        title: prop_types_1.default.string.isRequired,
        addObject: prop_types_1.default.func,
        columnData: prop_types_1.default.array.isRequired,
        toggleColumnVisibility: prop_types_1.default.func.isRequired,
    };
    return EnhancedTableToolbar;
}(react_1.Component));
exports.EnhancedTableToolbar = EnhancedTableToolbar;
exports.default = styles_1.withStyles(toolbarStyles)(function (props) { return (react_1.default.createElement(EnhancedTableToolbar, __assign({}, props))); });
//# sourceMappingURL=index.js.map