import React from 'react';
import { Theme } from 'material-ui/styles';
import { TBodyProps } from './Body/interfaces';
import PrismaComponent from '@prisma-cms/component';
import { ColumnConfig, TableViewProps, TableViewState } from './interfaces';
import { ToolbarProps } from './Toolbar/interfaces';
export * from './interfaces';
export declare const styles: (theme: Theme) => Record<string, any>;
export declare class TableView<P extends TableViewProps = TableViewProps, S extends TableViewState = TableViewState> extends PrismaComponent<P, S> {
    static defaultProps: {
        Header: React.FC<import("./Header").TableHeaderProps>;
        Toolbar: React.ComponentType<ToolbarProps & import("material-ui/styles").StyledComponentProps<"title" | "root" | "highlight" | "spacer" | "actions">>;
        Body: React.FC<TBodyProps>;
        columnData: never[];
        errorDelay: number;
    };
    state: S;
    constructor(props: P);
    getColumns(): ColumnConfig[] | undefined;
    toggleColumnVisibility: (_event: React.MouseEvent, checked: boolean, index: number) => void;
    renderFilters(): React.ReactNode | null;
    render(): React.ReactNode;
}
declare const _default: React.ComponentType<TableViewProps & import("material-ui/styles").StyledComponentProps<string>>;
export default _default;
