import { PrismaCmsComponentProps, PrismaCmsComponentState } from '@prisma-cms/component';
import { Padding } from 'material-ui/Table';
import TBody from './Body';
import EnhancedTableHead from './Header';
import { EnhancedTableToolbar } from './Toolbar';
export declare type Column<P> = {
    /**
     * Любое из полей полученного из запроса объекта
     */
    id: keyof P;
    key?: string;
    /**
     * Заголовок колонки
     */
    label?: string;
    description?: string;
    className?: string;
    renderer?(value: any, record: P): any;
    hidden?: boolean;
    numeric?: boolean;
    padding?: Padding;
    disablePadding?: boolean;
};
/**
 * Нельзя расширять интерфейс, так как тогда будет требовать на вход расширенный
 * от него же
 */
export declare type ColumnConfig<P = any> = Column<P>;
interface Variables extends Record<string, any> {
    first?: number | null;
}
export interface TableViewProps extends PrismaCmsComponentProps {
    columnData?: ColumnConfig[];
    objects: Record<string, any>[];
    loading: boolean;
    variables?: Variables;
    classes?: Record<string, string>;
    className?: string;
    title?: string;
    Header?: typeof EnhancedTableHead;
    Toolbar?: EnhancedTableToolbar;
    Body?: typeof TBody;
    addObject?: () => void;
}
export interface TableViewState extends PrismaCmsComponentState {
    columnData: TableViewProps['columnData'];
}
export {};
