import React from 'react';
import PrismaCmsComponent from '@prisma-cms/component';
import { EditableObjectEditorProps, EditableObjectMutateProps, EditableObjectProps, EditableObjectState, EditableObjectSaveResult } from './interfaces';
export * from './interfaces';
export declare class EditableObject<P extends EditableObjectProps = EditableObjectProps, S extends EditableObjectState = EditableObjectState> extends PrismaCmsComponent<P, S> {
    static defaultProps: {
        errorDelay: number;
        SaveIcon: () => JSX.Element;
        ResetIcon: React.ComponentType<import("material-ui/SvgIcon").SvgIconProps>;
        EditIcon: React.ComponentType<import("material-ui/SvgIcon").SvgIconProps>;
        cacheKeyPrefix: string;
    };
    constructor(props: P);
    UNSAFE_componentWillMount(): void;
    getStorage: () => any;
    initCache(): void;
    getCacheKey(): string | null | undefined;
    setCache(data: Record<string, any> | null): boolean;
    getCache(): Record<string, any> | null | undefined;
    clearCache(): void;
    onSave: (result: EditableObjectSaveResult) => (() => void);
    save(): Promise<EditableObjectSaveResult | Error>;
    saveObject(data: P['_dirty']): Promise<EditableObjectSaveResult>;
    mutate(props: EditableObjectMutateProps): Promise<EditableObjectSaveResult>;
    resetStore: () => Promise<void>;
    getMutation(data: EditableObjectMutateProps): EditableObjectMutateProps;
    getMutationVariables(data: EditableObjectMutateProps): EditableObjectMutateProps;
    startEdit(): void;
    resetEdit: () => Promise<void>;
    inEditMode(): boolean;
    isDirty(): boolean;
    updateObject(data: P['_dirty']): void;
    getEditor(props: EditableObjectEditorProps): JSX.Element | null;
    getTextField(props?: EditableObjectEditorProps): JSX.Element | null;
    getObjectWithMutations(): P["object"] | undefined;
    getButtons(): Array<JSX.Element | null> | null;
    renderResetButton(): JSX.Element | null;
    renderSaveButton(): JSX.Element | null;
    renderEditButton(): JSX.Element | null;
    getTitle(): any;
    renderHeader(): React.ReactNode;
    renderEmpty(): JSX.Element | null;
    renderDefaultView(): JSX.Element | null;
    renderEditableView(): JSX.Element | null;
    closeError(error: Record<string, any>): void;
    render(): React.ReactNode;
}
/**
 * For backward compatibility
 */
export declare const EditableView: typeof EditableObject;
export default EditableObject;
