/// <reference types="react" />
import { PrismaCmsComponentProps, PrismaCmsComponentState } from '@prisma-cms/component';
export interface EditableObjectPropsDataObject extends Record<string, any> {
}
export interface EditableObjectProcessorResponse {
    response?: {
        success: boolean;
        message: string;
        errors: Array<{
            key: string;
            message: string;
        }>;
        data: EditableObjectPropsDataObject | null;
    };
}
export declare type EditableObjectSaveResult = {
    data: EditableObjectProcessorResponse | undefined | null;
} | undefined | Error;
export declare type EditableObject_Dirty = Record<string, any> | null;
export interface EditableObjectProps extends PrismaCmsComponentProps {
    loading?: boolean;
    object: EditableObjectPropsDataObject | null | undefined;
    mutate?(arg0: any): Promise<EditableObjectSaveResult | Record<string, any>>;
    /**
     * gql`[query]`
     */
    mutation?: Record<string, any>;
    _dirty?: EditableObject_Dirty;
    cacheKey?: string;
    cacheKeyPrefix?: string;
    onSave?(result: EditableObjectSaveResult): void;
    ResetIcon?: React.ElementType;
    SaveIcon?: React.ElementType;
    EditIcon?: React.ElementType;
}
export interface EditableObjectState extends PrismaCmsComponentState {
    _dirty: EditableObject_Dirty;
    inEditMode: boolean;
    loading: boolean;
}
export declare type EditableObjectMutateProps = EditableObjectProps['_dirty'];
export interface EditableObjectEditorProps extends Record<string, any> {
    Editor?: React.ElementType;
    name: string;
    helperText?: string;
    onFocus?(event: React.FocusEvent): void;
    fullWidth?: boolean;
    label?: string;
    autoComplete?: 'on' | 'off';
    type?: 'text' | 'number' | 'date' | 'time';
    value?: any;
}
